import IKDBBaseQuery from './IKDBBaseQuery';
import Utils from './../API/IKUtils';
//
import AWS from "aws-sdk";
//
export default class IKDBQueryScan extends IKDBBaseQuery {
  constructor(optIndexName) {
    super(optIndexName);
  }
  async run(dbManager) {
    const resp = await this.rawRun(dbManager);
    if (resp.Items) {
      const unmarshalled = Utils.decapsulateForDB(resp.Items);
      console.debug('Parsed result: ', unmarshalled);
      return unmarshalled;
    } return null;
  }
  async rawRun(dbManager) {
    const query = this._rawQuery(dbManager.tableName);
    console.log('Scanning: ', query);
    const resp = await dbManager.connection.scan(query).promise();
    console.debug('Raw result: ', resp);
    return resp;
  }
}
